﻿namespace EPiServer.Business.Commerce.Tools.ImportAsset
{
    /// <summary>
    /// Wraps information about an imported asset.
    /// </summary>
    /// <remarks>
    /// Used to carry light-weight information to associate with the products in ECF.
    /// </remarks>
    public class AssetWrapper
    {

        /// <summary>
        /// Gets or sets the string representation of the asset key.
        /// </summary>
        /// <value>
        /// The asset key.
        /// </value>
        public string AssetKey { get; set; }

        /// <summary>
        /// Gets or sets the asset group that this asset belongs to.
        /// </summary>
        /// <value>
        /// The asset group.
        /// </value>
        public string Group { get; set; }
    }

}
