﻿
namespace EPiServer.Business.Commerce.Payment.DIBS
{
    /// <summary>
    /// Show information when payment is done and order is placed successfully
    /// </summary>
    public partial class DIBSPaymentLanding : Commerce.PageBase
    {
        /// <summary>
        /// Gets or sets the order number.
        /// </summary>
        /// <value>The order number.</value>
        public string OrderNumber { 
            get 
            {
                return Page.Request.QueryString["ordernumber"];
            } 
        }

        /// <summary>
        /// Gets or sets the email address.
        /// </summary>
        /// <value>The email address.</value>
        public string EmailAddress 
        {
            get
            {
                return Page.Request.QueryString["email"];
            }
        }

        /// <summary>
        /// Gets the success value.
        /// </summary>
        /// <value>success query string value</value>
        public string IsSuccess
        {
            get
            {
                return Page.Request.QueryString["success"];
            }
        }

    }
}
