﻿using System.ServiceModel;
using System.ServiceModel.Web;

namespace EPiServer.Business.Commerce.Payment.Klarna.Services
{
    /// <summary>
    /// Presents an abstract service that used in Klarna payment gateway.
    /// </summary>
    [ServiceContract]
    public interface IKlarnaService
    {
        /// <summary>
        /// Gets the country code of the billing address in current cart of user.
        /// </summary>
        /// <returns>The country code</returns>
        [OperationContract]
        [WebInvoke(Method = "POST", BodyStyle = WebMessageBodyStyle.WrappedRequest, ResponseFormat = WebMessageFormat.Json)]
        string GetBillingCountryCode();

        /// <summary>
        /// Gets the part payment options which has country code and part payment items.
        /// </summary>
        /// <returns>The Result object which store success flag, country code and PartPaymentItems</returns>
        [OperationContract]
        [WebInvoke(Method = "POST", BodyStyle = WebMessageBodyStyle.WrappedRequest, ResponseFormat = WebMessageFormat.Json)]
        Result GetPartPaymentOptions();
    }
}
