﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using Mediachase.Commerce;

namespace EPiServer.Business.Commerce.Payment.Klarna.Services
{
    /// <summary>
    /// This class is used to build part payment item which is show in UI
    /// Each item has an Id and a display value to show in a dropbox
    /// </summary>
    [DataContract]
    public class PartPaymentItem
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PartPaymentItem"/> class.
        /// </summary>
        /// <param name="Description">The description.</param>
        /// <param name="monthlyCost">The monthly cost.</param>
        /// <param name="currency">The currency.</param>
        /// <param name="month">The month.</param>
        /// <param name="pclassId">The pclass id.</param>
        public PartPaymentItem(string description, string monthlyCost, Currency currency, string month, string pclassId)
        {
            Value = string.Format("{0} - {1} {2}/{3}", description, monthlyCost, currency.CurrencyCode, month);
            Id = pclassId;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="PartPaymentItem"/> class.
        /// </summary>
        /// <param name="Description">The description.</param>
        /// <param name="monthlyCost">The monthly cost.</param>
        /// <param name="currencyCode">The currency code.</param>
        /// <param name="month">The month.</param>
        /// <param name="pclassId">The pclass id.</param>
        [Obsolete("Use PartPaymentItem(string description, string monthlyCost, Currency currency, string month, string pclassId) instead.")]
        public PartPaymentItem(string description, string monthlyCost, string currencyCode, string month, string pclassId)
        {
            Value = string.Format("{0} - {1} {2}/{3}", description, monthlyCost, currencyCode, month);
            Id = pclassId;
        }
        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [DataMember]
        public string Value { get; set; }
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>The id.</value>
        [DataMember]
        public string Id { get; set; }
    }
}
